<?php

namespace ScfPriceUpdater;

trait SingletonTrait
{

    private static ?self $instance = null;

    protected function __construct()
    {
    }

    public static function instance(): self
    {
        if (self::$instance === null) {
            self::$instance = new self();
        }

        return self::$instance;
    }
}
